<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>SE Code of Ethics</title>
	</head>
	<body>
		<em>Science and Engineering Ethics (2001) 7, 231-238</em>
		<hr>
		<h1><strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>

		<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Porfessional Practices</h3>
		<hr>
		<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering.
		<h3><strong>PREAMBLE</strong></h3>

		<p>The short version of the code summarizes at a high level of abstraction. The clauses that are included ibn the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details the aspirations can become high-sounding but empty; together the aspirations and details from a cohesive code.</p>
		<p>Software engineers shall commit themeselves to making the analysis, specifications, design, development, testing and maintenance of software a benefecial and respected preofession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight principles.</p>

		<h3><strong>PRINCIPLES</strong></h3>
		<ol>
			<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
			<li><em>Client and employer</em>. Software engineers shall act in a manner that it is in the best interest of their client and employer, consistent with the public interest.</li>
			<li><em>Product</em>. software engineers shall ensure that their products and related modifications meet the highest porofessional standards possible.</li>
			<li><em>judgement</em>. software engineers shall maintain integrity and independence in their professional judgement.</li>
			<li><em>management</em>. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software and development and maintenance.</li>
			<li><em>Profession</em>. Sofware engineers shall advance tghe integrity and reputation and the profession consistent with the public interest.</li>
			<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach of the practice of the profession.</li>

		</ol>


	</body>
</html>